DVLOAD.EXE          CADIS Technical Manual


NAME
     dvload - Load a Desqview application from DOS command line.

SYNOPSIS
     dvload PIF-prefix ["parameters"]

DESCRIPTION
     DVLOAD is a Desqview-specific program that loads and runs a Desqview
     application as if it were loaded from the "open window" menu in Desqview. 
     A Desqview application is defined as an executable program that has a
     Desqview PIF (Program Information File).  These files can normally be
     found in the Desqview default directory, and are created from the "open
     window" menu by selecting "CP" (change program) or "AP" (add program).
     They are of this form: nn-PIF.DVP where nn is the prefix.

     DVLOAD searches the command line for a two character PIF prefix, and an
     optional parameter string.  The string must be enclosed in quotes if
     there are any embedded spaces.  The PIF is loaded into memory, and the
     parameter string is mapped into the PIF.  Desqview is then called and
     loading takes place.  Control will return to DVLOAD when the loaded
     application finishes execution, which then exits.

EXAMPLES
     dvload wp grunt  (load PIF wp-pif.dvp, and pass the parameter "grunt")
     dvload co        (load PIF co-pif.dvp, no paramters)

DIAGNOSTICS
     DVLOAD returns with the following errorlevel codes:

          errorlevel
               1   desqview is not loaded.
               2   error on opening PIF file.     
               3   error on reading PIF file.
               4   error on starting application. 
               5   error in command line options.
     
NOTES
     Because of Desqview limitations, the parameter string is limited to 63
     characters.  Any information after position 63 is ignored.
    
     The PIF files are searched for in c:\dv.  This is coded into the program.

     The API library only seems to work reliably under Desqview 2.01.  Thus
     this program is only recomended to run under 2.10 

     The .exe was compiled under Turbo C 1.5

BUGS
     PIF prefixes must be 2 characters.  Unknown results if only one character
     is passed to the program.
